Name:		bumprace
Epoch:		1
Version:	1.5.8
Release:	%mkrel 1
Summary:	Drive the ship to exit
Group:		Games/Arcade
License:	GPLv2+
URL:		https://www.linux-games.com/bumprace
# From repo: https://bitbucket.org/karlb/bumprace
Source0:	https://github.com/karlb/bumprace/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_image)

%description
BumpRace is a simple arcade game. You've to get from the start to the finish
line without crashing into deadly blocks. This game is really easy to learn!

%prep
%autosetup -p1

# Fix version tag
sed -i -e 's/1\.5\.3/%{version}/' configure.ac src/bumprace.c

%build
autoreconf -vfi
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Bumprace
Comment=Drive the ship to exit
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -D -m644 %SOURCE1 %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE2 %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE3 %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc AUTHORS FAQ NEWS README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Sun Jan 03 2021 akien <akien> 1:1.5.8-1.mga8
+ Revision: 1668448
- Version 1.5.8

* Wed Apr 15 2020 danf <danf> 1:1.5.5-4.mga8
+ Revision: 1567569
- Fix Comment= in .desktop file to stop referring to debug sources

* Wed Feb 12 2020 umeabot <umeabot> 1:1.5.5-3.mga8
+ Revision: 1510813
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 1:1.5.5-2.mga7
+ Revision: 1295746
- Mageia 7 Mass Rebuild

* Sun Sep 11 2016 akien <akien> 1:1.5.5-1.mga6
+ Revision: 1051535
- Fix version number in the game
- Version 1.5.5

* Sun Jan 17 2016 daviddavid <daviddavid> 1:1.5.4-4.mga6
+ Revision: 924864
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1:1.5.4-3.mga5
+ Revision: 746860
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.5.4-2.mga5
+ Revision: 678249
- Mageia 5 Mass Rebuild

* Sat Feb 22 2014 akien <akien> 1:1.5.4-1.mga5
+ Revision: 595638
- Update to version 1.5.4

* Fri Oct 18 2013 umeabot <umeabot> 1:1.5.3-36.mga4
+ Revision: 503166
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:1.5.3-35.mga3
+ Revision: 347225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 stormi <stormi> 1:1.5.3-34.mga3
+ Revision: 339887
- rebuild for mga3

* Thu Sep 29 2011 fwang <fwang> 1:1.5.3-33.mga2
+ Revision: 150149
- cleanup br

* Mon May 09 2011 misc <misc> 1:1.5.3-33.mga1
+ Revision: 96665
- rebuilt
- remove redundant requires ( esound-devel, and texinfo )
+ stormi <stormi>
- clean spec

* Wed Jan 26 2011 stormi <stormi> 1:1.5.3-32.mga1
+ Revision: 41511
- remove mdv specific stuff
- imported package bumprace

